CheckoutSessionCreateRequest
Request parameters for creating a new checkout session.
- Type: object · Currency
currency requiredThree-letter ISO currency code
- Type: stringenum
mode requiredThe mode of the Checkout Session.
valuespayment Standard one-time payment.
setup Set up a payment method for future use.
subscription Coming soon. Not available yet.
- Type: object · AfterCompletion
after _completion After completion behavior for the Checkout Session.
- Type: integer · amountWithCurrencyPrecisionFormat: int64
amount Integer amount in minor units (e.g. cents) specific to the currency. Example: 100 for €1.00
- Type: string · BillingAddressCollectionenum
billing _address _collection Specify whether Checkout should collect the customer's billing address. Defaults to
auto.valuesauto Checkout will only collect the billing address when necessary.
required Checkout will always collect the customer's billing address.
- Type: string
cancel _url If set, Checkout displays a back button and customers will be directed to this URL if they decide to cancel payment and return to your website.
- Type: string
client _customer _id An identifier of the customer in the merchant's system. Used to associate the Checkout and corresponding payments created from the Checkout. Required for SEPA payments - this will ensure that your customer is given a virtual iban that is unique to them and will enable Paypercut to reconcile the payment.
- Type: string
client _reference _id A free-form reference from the merchant's system. Typically used to identify the checkout in the merchant's system. This can be a customer ID, a cart ID, or similar, and can be used to reconcile the session with your internal systems.
- Type: string | null
customer max length:100ID of an existing Customer, if one exists.
- Type: stringenum
customer _creation Configure whether a Checkout Session creates a Customer during Session confirmation. When a Customer is not created, you can still retrieve email, address, and other customer data entered in Checkout with customer_details. Can only be set in
paymentmode.valuesalways if _required
- Type: string | null
customer _email If provided, this value will be used when the Customer object is created. If not provided, customers will be asked to enter their email address. Use this parameter to prefill customer data if you already have an email on file. To access information about the customer once a session is complete, use the
customerfield. - Type: string
description A free-form reference to describe the checkout
- Type: string | nullFormat: date-time
expires _at Expiry time for the checkout. After this time, the checkout will no longer be available for payment. Defaults to 24h after creation.
- Type: array object[] · LineItem[]
line _items Details about the products sold or services provided
- Type: stringenum
locale The IETF language tag of the locale Checkout is displayed in. If blank or auto, the browser's locale is used.
valuesauto bg bg - B G cs cs - C Z
metadata Set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format. Individual keys can be unset by posting an empty value to them. All keys can be unset by posting an empty value to
metadata.- Type: string
property Name
- Type: object · PaymentIntentData nullable
payment _intent _data - Type: array string[]
payment _method _types A list of the types of payment methods (e.g. card) this Checkout Session is allowed to accept.
- Type: string
return _url The URL to redirect your customer back to after they authenticate or cancel their payment on the payment method's app or site. This parameter is required if ui_mode is embedded or custom and redirect-based payment methods are enabled on the session.
- Type: object · SavedPaymentMethodOptions
saved _payment _method _options - Type: string | nullenum
submit _type Describes the type of transaction being performed by Checkout in order to customize relevant text on the page, such as the submit button.
submit_typecan only be specified on Checkout Sessions inpaymentmode. If blank orauto,payis used.valuesauto book donate pay subscribe
- Type: string
success _url The URL to which Paypercut should send customers when payment or setup is complete. This parameter is not allowed if ui_mode is embedded or custom. If you'd like to use information from the successful Checkout Session on your page, read the guide on customizing your success page.
- Type: stringenum
ui _mode The UI mode of the Session. Defaults to
hosted.valuescustom embedded hosted
- Type: object · CheckoutSessionWalletOptions
wallet _options Wallet-specific configuration for this Checkout Session.

